[blfs-dev] feh-2.12 Test::Command

Fernando de Oliveira famobr at yahoo.com.br
Sat Jan 24 09:58:09 PST 2015


On 24-01-2015 13:58, Bruce Dubbs wrote:
> Armin K. wrote:
> 
>> I don't recall us usually listing deps for non-linux systems. I suggest
>> you remove it altogether, as it's clearly _not neeed_ on Linux.

It is not clearly _not needed_ in Linux.

IIRC, it is default in BSD, but optional in Linux. So I am not listing
deps for non-linux systems, I wrote loosely and was misinterpreted. Sorry.

> Yes, please.  We don't need to confuse things my mentioning packages
> incompatible with Linux.

It is not incompatible with Linux. And other linux distribution,
possibly more than one, has it as optional. If some crazy person (I
might be the one, because I tried) wants to run the test without error
messages (even if they are treated as warnings) in Linux, that package
is necessary. Again, sorry: I wrote loosely and was misinterpreted.

However, as I write before, I wouldn't mind removing it, because it is
very dangerous for _(B)LFS)_.

Actually after Armin's post, I had already removed.

I included it for fear of making a mistake, but since the beginning I
didn't want to include it, as it is a dangerous package.

I am finishing lua now and the commit will include that removal.

Anyway, thank you both, because this is, as I wrote above, my first
desire, and now I can remove it without fear.


-- 
[]s,
Fernando


More information about the blfs-dev mailing list